!> \file printtable_mod.f90
!! Module des subroutines qui font des impressions formatee autour d'un point idebug,jdebug
!! a plusieurs pas de temps successifs.
!<

!> \namespace printtable
!! Module des subroutines qui font des impressions formatee autour d'un point idebug,jdebug
!! a plusieurs pas de temps successifs.
!! \author ...
!! \date ...
!! @note Used module
!! @note   - use module3D_phy
!<
module printtable

  USE module3D_phy
  implicit none

  real,dimension(nx,ny)     :: table_r
  integer,dimension(nx,ny)  :: table_i
  logical,dimension(nx,ny)  :: table_l 
  CHARACTER (len=15) :: filedebug
  character (len=6)  :: nom_table

  !table_r(:,:)=0.
  !table_i(:,:)=0
  !table_l(:,:)='False'

contains
  !------------------reels-------------------------
  subroutine printtable_r(table_r,nom_table)

    real,dimension(nx,ny)     :: table_r
    character (len=6)  :: nom_table

    filedebug='table_'//trim(nom_table)
    open(UNIT=num_file4,file=filedebug)
    write(num_file4,*) geoplace,'time=',time
    write(num_file4,*) NX*NY,DX,NX,NY
    write(num_file4,*)
    do j=1,ny
       do i=1,nx    
          write(num_file4,*) i,j,table_r(i,j)
       enddo
    enddo
    close (num_file4)        

  end subroutine printtable_r

  !------------------entiers------------------------
  subroutine printtable_i(table_i,nom_table)

    integer,dimension(nx,ny)  :: table_i
    character (len=6)  :: nom_table

    filedebug='table_'//trim(nom_table)
    open(UNIT=num_file4,file=filedebug)

    write(num_file4,*) geoplace,'time=',time
    write(num_file4,*) NX*NY,DX,NX,NY
    write(num_file4,*)
    do j=1,ny
       do i=1,nx    
          write(num_file4,*) i,j,table_i(i,j)
       enddo
    enddo
    close (num_file4)        

  end subroutine printtable_i

  !------------------logical------------------------
  subroutine printtable_l(table_l,nom_table)

    logical,dimension(nx,ny)  :: table_l
    character (len=6)  :: nom_table

    filedebug='table_'//trim(nom_table)
    open(UNIT=num_file4,file=filedebug)

    write(num_file4,*) geoplace,'time=',time
    write(num_file4,*) NX*NY,DX,NX,NY
    write(num_file4,*)
    do j=1,ny
       do i=1,nx    
          if (table_l(i,j)) then
             write(num_file4,*) i,j,'    1'
          else
             write(num_file4,*) i,j,'    0'
          endif
       enddo
    enddo

    close (num_file4)

  end subroutine printtable_l

  !return
end module printtable
