!> \file no_spinup.f90
!! This module is to choosen when no spinup is needed
!<

!> \namespace no_spinup
!! This module is to choosen when no spinup is needed
!! \author ...
!! \date ...
!! @note  used modules
!! @note  - use module3D_phy
!<


module no_spinup

use module3d_phy

contains
!-------------------------------------------------------------------------------------
!> SUBROUTINE: init_spinup
!! Routine permettant d'initialiser les spinup
!>
subroutine init_spinup

implicit none

namelist/spinup/ispinup

    ! put here which type of spinup
    ! ispinup = 0                          ! run standard
    ! ispinup = 1                          ! ispinup = 1 -> saute icethick3, diagnoshelf, 
    ! diffusiv, isostasie   pour equilibre temperature
    ! en prenant les vitesses calculees aux premiers 
    ! pas de temps  
    ! ispinup = 2                          ! ispinup = 2 -> fait la conservation 
    !                                      ! de la masse avec les vitesses de bilan
    ! ispinup = 3                          ! fait le calcul des temperatures 
    !                                      ! avec les vitesses de bilan
  


! lecture des parametres

rewind(num_param)        ! pour revenir au debut du fichier param_list.dat
read(num_param,spinup)

write(num_rep_42,*)'!___________________________________________________________'
write(num_rep_42,*)'!        spinup          module no_spinup               '
write(num_rep_42,spinup)                   ! pour ecrire les parametres lus
write(num_rep_42,*)
write(num_rep_42,*)
write(num_rep_42,*)'! ispinup = 0     run standard'
write(num_rep_42,*)'! ispinup = 1     equilibre temperature avec vitesses grisli '
write(num_rep_42,*)'! ispinup = 2     conservation de la masse avec vitesses bilan '
write(num_rep_42,*)'! ispinup = 3     equilibre temperature avec vitesses bilan'
write(num_rep_42,*)

 
if (ispinup.ge.2) then
   write(6,*)' ispinup > 1 must be called with module spinu_vitbil '
   write(6,*) 'and dragging modules must be removed (see module_choix)'
   stop
endif


if (itracebug.eq.1)  call tracebug(' fin routine init_spinup de no_spinup')

end subroutine init_spinup
!-------------------------------------------------------------------------------------
subroutine force_balance_vel

if (itracebug.eq.1)  call tracebug(' Subroutine force_balance_vel dans no_spinup')

end subroutine force_balance_vel
!-------------------------------------------------------------------------------------
subroutine limit_coef_vitbil

if (itracebug.eq.1)  call tracebug(' Subroutine limit_coef_vitbil dans no_spinup')

end subroutine limit_coef_vitbil
!-------------------------------------------------------------------------------------
subroutine calc_coef_vitbil

if (itracebug.eq.1)  call tracebug(' Subroutine limit_coef_vitbil dans no_spinup')

end subroutine calc_coef_vitbil
!-------------------------------------------------------------------------------------


end module no_spinup
