!> \file runparam_mod.f90
!! Module de declarations de quelques caracteristiques du run 
!<

!> \namespace runparam
!! Module de declarations de quelques caracteristiques du run 
!! \author ...
!! \date ...
!! @note  Caracteristiques qu'on veut pouvoir faire passer aux routines qui n'appellent pas 3D-phy
!! @note  3D-phy fait "use runparam"
!<

module runparam

implicit none
integer ::  NT=0                      !< boucle temporelle, initialise a 0
real :: xmin,xmax,ymin,ymax           !< bornes du domaine en km
real ::  TBEGIN                       !< temps debut
real ::  TEND                         !< temps fin
real ::  dttest                       !< plus petit pas de temps=dtmin, sert dans plein de tests
character(len=40)  :: DIRNAMEOUT      !< declaration du dir de sortie, pour les resultats
character(len=8)   :: RUNNAME         !<
character(len=40)  :: dirsource       !< declaration du dir sources pour les fichiers parametres ...

integer :: itracebug                  !< si 1 fait une impression au dbut des routines
integer :: num_tracebug               !< numero de l'unite itracebug
real tgrounded
real dtsortie
real dtcpt
real dtprofile

end module runparam
